<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
   	public function up(): void
    {
        $sql1 = <<<'SQL'
            ALTER TABLE product_characteristics_masters
            ADD COLUMN characteristics_type TEXT DEFAULT NULL;
        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'
            ALTER TABLE product_characteristics_masters
            RENAME COLUMN type TO inspection_type;
        SQL;

        DB::statement($sql2);
    }
    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('product_characteristics_masters', function (Blueprint $table) {
        //     //
        // });
    }
};
